Bug 180155 - Missing PCM audio over SPDIF (intel8x0 + CMI9780) changes 5th Feb
Missing PCM audio over SPDIF (intel8x0 + CMI9780) changes 5th Feb
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-06 07:12 EST by Chris Shucksmith
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-09 06:04:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/security/console.handlers (806 bytes, text/plain)
2006-02-06 18:07 EST, Chris Shucksmith
no flags Details
/etc/alsa/ainit.conf (514 bytes, text/plain)
2006-02-06 18:08 EST, Chris Shucksmith
no flags Details
alsa-pcm.zip (Zip of /etc/alsa/pcm/*) (10.02 KB, application/octet-stream)
2006-02-06 18:11 EST, Chris Shucksmith
no flags Details
Diff /etc/asound.state (15.28 KB, text/plain)
2006-02-12 11:23 EST, Chris Shucksmith
no flags Details

  None (edit)
Description Chris Shucksmith 2006-02-06 07:12:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.12) Gecko/20060202 Fedora/1.0.7-1.2.fc4 Firefox/1.0.7

Description of problem:
Optical connection between Yamaha RX-V350 and PC.

Since the most recent yum updates I recieved on Feb 5th (see below) the standard PCM alsa sounds no longer work. This was displayed on my reciever as 'PCM 48kHz'

Oddly enough the analog out jack is also silent, but I cannot confirm this has worked for the last 6 months because I havent needed it.

Playing a DVD using vlc still works fine over SPDIF (AC3 audio), with:
   vlc dvd:///dev/dvd -f --spdif

The updates were
Feb 05 17:31:09 Updated: arts.i386 8:1.5.1-0.1.fc4
Feb 05 17:31:10 Updated: libselinux.i386 1.23.11-1.1
Feb 05 17:31:11 Updated: mozilla-nspr.i386 37:1.7.12-1.5.2
Feb 05 17:31:12 Updated: mozilla-nss.i386 37:1.7.12-1.5.2
Feb 05 17:31:31 Updated: mozilla.i386 37:1.7.12-1.5.2
Feb 05 17:31:32 Updated: gnome-python2-extras.i386 2.10.0-6
Feb 05 17:31:33 Updated: udev.i386 071-0.FC4.2
Feb 05 17:32:00 Updated: kdelibs.i386 6:3.5.1-0.1.fc4
Feb 05 17:32:22 Updated: kdebase.i386 6:3.5.1-0.1.fc4
Feb 05 17:32:22 Updated: openal.i386 0.0.8-2.fc4
Feb 05 17:32:30 Updated: kdemultimedia.i386 6:3.5.1-0.1.fc4
Feb 05 17:32:34 Updated: kdebindings.i386 3.5.1-0.1.fc4
Feb 05 17:32:35 Updated: audit-libs.i386 1.0.13-1.fc4
Feb 05 17:32:35 Updated: audit.i386 1.0.13-1.fc4
Feb 05 17:32:45 Updated: firefox.i386 1.0.7-1.2.fc4
Feb 05 17:32:45 Updated: gnome-python2-gtkhtml2.i386 2.10.0-6
Feb 05 17:32:46 Updated: vixie-cron.i386 4:4.1-41.FC4
Feb 05 17:32:48 Updated: selinux-policy-targeted.noarch 1.27.1-2.18
Feb 05 17:32:48 Updated: gnome-python2-applet.i386 2.10.0-6
Feb 05 17:32:50 Updated: system-config-soundcard.noarch 1.2.12-5.FC4
Feb 05 17:32:51 Updated: gnome-python2-gnomeprint.i386 2.10.0-6
Feb 05 17:32:57 Updated: blender.i386 2.41-1.fc4
Feb 05 17:36:45 Installed: kernel-smp-devel.i686 2.6.15-1.1830_FC4
Feb 05 17:36:46 Updated: autofs.i386 1:4.1.4-15.1
Feb 05 17:36:54 Updated: mozilla-dom-inspector.i386 37:1.7.12-1.5.2
Feb 05 17:36:55 Updated: libselinux-devel.i386 1.23.11-1.1
Feb 05 17:36:56 Updated: iptraf.i386 2.7.0-15.FC4.1
Feb 05 17:37:07 Installed: kernel-smp.i686 2.6.15-1.1830_FC4

I suspected the kernel update might have caused this, but booting with old kernel (known to work previosuly) results in the same problem.

[root@dhcpfh60 log]# uname -r
2.6.14-1.1656_FC4smp

I also noticed modfication dates of Feb 06 in /etc/alsa/pcm for dmix.conf and dsnoop.conf - restoring these from a .conf.back (jan 16th) didn't resolve my problem, after rebooting.

Arts isn't running. I dont know enough about udev to know if it is the problem. I've tried moving volume controls with alsamixer to no avail.

Any help would be greatly appreciated.


Version-Release number of selected component (if applicable):
1.0.10-3.FC4

How reproducible:
Always

Steps to Reproduce:
1. Optical Connection to amplifier made and fc4 booted
2. aplay /usr/share/system-config-soundcard/sound-sample.wav
3. vlc dvd:///dev/dvd -f --spdif

  

Actual Results:  1. Amplifier displays "Unknown Digital"
2. Silence from didgital and analog outputs
3. Amplifier displays "DDigital" and DVD audio plays over SPDIF

Expected Results:  1. Amplifier displays "PCM 48kHz" during boot sequence at stage
    "initialising hardware storage [sound]... etc"
2. Test sound heared
3. [OK] Amplifier displays "DDigital" and DVD audio plays over SPDIF

Additional info:

No error messages shown

[root@dhcpfh60 asound]# cat version cards  devices pcm
Advanced Linux Sound Architecture Driver Version 1.0.10rc1 (Mon Sep 12 08:13:09 2005 UTC).
0 [ICH5           ]: ICH4 - Intel ICH5
                     Intel ICH5 with CMI9780 at 0xfa801000, irq 193
  1:       : sequencer
 20: [0- 4]: digital audio playback
 27: [0- 3]: digital audio capture
 26: [0- 2]: digital audio capture
 25: [0- 1]: digital audio capture
 16: [0- 0]: digital audio playback
 24: [0- 0]: digital audio capture
  0: [0- 0]: ctl
 33:       : timer
00-00: Intel ICH : Intel ICH5 : playback 1 : capture 1
00-01: Intel ICH - MIC ADC : Intel ICH5 - MIC ADC : capture 1
00-02: Intel ICH - MIC2 ADC : Intel ICH5 - MIC2 ADC : capture 1
00-03: Intel ICH - ADC2 : Intel ICH5 - ADC2 : capture 1
00-04: Intel ICH - IEC958 : Intel ICH5 - IEC958 : playback 1
Comment 1 Chris Shucksmith 2006-02-06 07:24:16 EST
Windows CMedia drivers work so I can eliminate broken hardware. I'm rolling back
some of the above packages to hopefully narrow down my problem. SELinux is disabled.

[root@dhcpfh60 asound]# lsmod | grep snd
snd_intel8x0           37025  1
snd_ac97_codec         92605  1 snd_intel8x0
snd_ac97_bus            6465  1 snd_ac97_codec
snd_seq_dummy           7749  0
snd_seq_oss            36161  0
snd_seq_midi_event     11073  1 snd_seq_oss
snd_seq                54993  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device         13005  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            54641  0
snd_mixer_oss          21953  1 snd_pcm_oss
snd_pcm                91717  3 snd_intel8x0,snd_ac97_codec,snd_pcm_oss
snd_timer              28997  2 snd_seq,snd_pcm
snd                    59045  12
snd_intel8x0,snd_ac97_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore              13857  2 saa7134,snd
snd_page_alloc         14793  2 snd_intel8x0,snd_pcm
Comment 2 Martin Stransky 2006-02-06 17:02:36 EST
Did you update the alsa-lib or alsa-utils package? Which version of these
packages do you have?
Comment 3 Chris Shucksmith 2006-02-06 17:14:06 EST
I don't see alsa-lib or alsa-utils in the updates causing the failure. I filed
under this componant as it seamed apprpriate given aplay gives silence.

[root@dhcpfh60 ~]# rpm -qa --last | grep alsa
alsa-lib-devel-1.0.10-3.FC4                   Tue 17 Jan 2006 05:52:38 PM GMT
alsa-lib-1.0.10-3.FC4                         Tue 17 Jan 2006 05:51:22 PM GMT
alsa-utils-1.0.10-1.FC4                       Thu 08 Dec 2005 10:53:06 AM GMT

I know sounds has worked for all of Janaury, so I doubt a fault in any of these.
Comment 4 Martin Stransky 2006-02-06 17:35:15 EST
Could you please attach files /etc/security/console.handlers,
/etc/alsa/ainit.conf and all files from /etc/alsa/pcm?

Do you use your sound card as a common user or as root?
Comment 5 Chris Shucksmith 2006-02-06 18:07:50 EST
Created attachment 124292 [details]
/etc/security/console.handlers
Comment 6 Chris Shucksmith 2006-02-06 18:08:28 EST
Created attachment 124293 [details]
/etc/alsa/ainit.conf
Comment 7 Chris Shucksmith 2006-02-06 18:11:28 EST
Created attachment 124294 [details]
alsa-pcm.zip (Zip of /etc/alsa/pcm/*)

I've zipped as there was 20 files, can attach each if you prefer

Many thanks for looking into this for me. Chris
Comment 8 Chris Shucksmith 2006-02-06 18:20:31 EST
I always run as a normal user. There "Unknown Digital" error is displayed on my
reciever right from (alsa?) boot up to power off.

bash-3.00$ aplay /usr/share/system-config-soundcard/sound-sample.wav
Playing WAVE '/usr/share/system-config-soundcard/sound-sample.wav' : Signed 16
bit Little Endian, Rate 44100 Hz, Stereo
Warning: rate is not accurate (requested = 44100Hz, got = 48000Hz)
         please, try the plug plugin (-Dplug:default)

Gives silence as root or chris both with and without the -Dplug:default
Comment 9 Chris Shucksmith 2006-02-10 04:49:40 EST
I can confirm a fresh install of FC5-Test2 reproduces this bug.

A fresh install of FC4 and sound is back. I'll watch the package upgrades to see
what triggers it.
Comment 10 Chris Shucksmith 2006-02-12 11:22:03 EST
I worked through the updates in yum to FC4 from a fresh install, rebooting and
testing sound after every few packages. Oddly the problem didn't surface at all.
I diff'ed the current /etc folder and the broken config /media/backup/etc

diff /media/backup/etc/asound.conf /etc/asound.conf
1,5c1,3
< #Generated by system-config-soundcard, do not edit by hand
< #HWCONF
< #DEV 0
< pcm.!default { type hw card 0 device 0 }
< ctl.!default { type hw card 0 }
---
> # Generated by system-config-soundcard, do not edit by hand
> defaults.pcm.card 0
> defaults.pcm.card 0

Also there were some differences in asound.state - see the attachment. I'll try
to reproduce the fault.
Comment 11 Chris Shucksmith 2006-02-12 11:23:46 EST
Created attachment 124558 [details]
Diff /etc/asound.state

$ diff /etc/asound.state /media/backup/etc/asound.state --side-by-side >
asound.diffs
LHS works RHS broken
Comment 12 Martin Stransky 2006-02-13 11:56:13 EST
Could you run s-c-s and enable software mixing? It should fill your
/etc/asound.conf with right values.
Comment 13 Martin Stransky 2006-02-13 12:01:27 EST
Do you think that problem is with Line Playback Switch/Video Playback Switch
(volume)? Could you identify switches which are important for your card?

Note You need to log in before you can comment on or make changes to this bug.